## Script (Python) "getEventImageTag"
##parameters=display_height=None, display_width=None
##title=Get parameters for event image

event = context

req = context.REQUEST
res = req.RESPONSE

picture = event.getEventPicture()

width = 0
height = 0

if picture:
    try:
        width = int(picture.width)
        height = int(picture.height)
    except:
        pass

    if not display_width or display_width=='None':
        display_width = 320
    if not display_height or display_height=='None':
        display_height = 240
    if width > int(display_width) or height > int(display_height):
        return picture.thumb(req, res, width=int(display_width), height=int(display_height))
    else:
        if hasattr(picture, 'data'):
            return picture.data
        else:
            return ''
else:
    return event.getEventPictureSrc()['src']
